Bug 784692

Summary: hso: WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x247/0x250()
Product: [Fedora] Fedora Reporter: Artur Pierściński <artur.pierscinski>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: frank.schletz, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:6da3905e8a6026b156edb0297bf0fa8c332fd16f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 10:35:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 702723    
Attachments:
Description Flags
File: smolt_data none

Description Artur Pierściński 2012-01-25 14:55:11 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.1-3.fc16.x86_64 root=UUID=f6b02bc8-461c-4d8a-a22d-2df0c4f72c3f ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=pl_PL.UTF-8 KEYTABLE=pl2
comment:        It happend after some time of inactivity.
event_log:      2012-01-25-20:54:29> Smolt profile successfully saved
kernel:         3.2.1-3.fc16.x86_64
reason:         WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x247/0x250()
time:           śro, 25 sty 2012, 20:45:34

smolt_data:     Text file, 4906 bytes

backtrace:
:WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x247/0x250()
:Hardware name: P5Q SE/R
:NETDEV WATCHDOG: hso0 (hso): transmit queue 0 timed out
:Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle tun bridge stp llc lockd rfcomm bnep nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables virtio_net kvm_intel kvm hso snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uinput binfmt_misc sunrpc rc_pixelview ppdev tuner_simple tuner_types tuner btusb parport_serial parport_pc ir_lirc_codec lirc_dev parport ir_mce_kbd_decoder bluetooth ir_sony_decoder microcode ir_jvc_decoder rfkill ir_rc6_decoder tvaudio ir_rc5_decoder tda7432 ir_nec_decoder bttv videobuf_dma_sg videobuf_core btcx_risc rc_core tveeprom v4l2_common videodev media v4l2_compat_ioctl32 i2c_i801 iTCO_wdt iTCO_vendor_support atl1e asus_atk0110 snd_timer snd soundcore snd_page_alloc pata_acpi ata_generic pata_marvell usb_storage radeon ttm drm_kms_helper drm i2c_algo_bit 
:i2c_core [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/0 Not tainted 3.2.1-3.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8106dc8f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106dd86>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff814ef727>] dev_watchdog+0x247/0x250
: [<ffffffff8107d2cb>] run_timer_softirq+0x12b/0x3b0
: [<ffffffff814ef4e0>] ? qdisc_reset+0x50/0x50
: [<ffffffff810752b8>] __do_softirq+0xb8/0x230
: [<ffffffff8109a1e6>] ? do_timer+0x2d6/0x500
: [<ffffffff810a0944>] ? tick_program_event+0x24/0x30
: [<ffffffff815eb16c>] call_softirq+0x1c/0x30
: [<ffffffff81016275>] do_softirq+0x65/0xa0
: [<ffffffff810756ce>] irq_exit+0x9e/0xc0
: [<ffffffff815ebb0e>] smp_apic_timer_interrupt+0x6e/0x99
: [<ffffffff815e99de>] apic_timer_interrupt+0x6e/0x80
: <EOI>  [<ffffffff81491c12>] ? poll_idle+0x42/0x90
: [<ffffffff81491bec>] ? poll_idle+0x1c/0x90
: [<ffffffff81491fe1>] cpuidle_idle_call+0xc1/0x280
: [<ffffffff8101322a>] cpu_idle+0xca/0x120
: [<ffffffff815be75e>] rest_init+0x72/0x74
: [<ffffffff81aebbfe>] start_kernel+0x3ba/0x3c5
: [<ffffffff81aeb347>] x86_64_start_reservations+0x132/0x136
: [<ffffffff81aeb140>] ? early_idt_handlers+0x140/0x140
: [<ffffffff81aeb44d>] x86_64_start_kernel+0x102/0x111
Comment 1 Artur Pierściński 2012-01-25 14:55:16 EST
Created attachment 557513 [details]
File: smolt_data
Comment 2 Dave Jones 2012-03-22 12:48:43 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:53:08 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:03:46 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Artur Pierściński 2012-03-24 19:45:20 EDT
(In reply to comment #2)
> [mass update]
> kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
> Please retest with this update.

After upgrade, I am using now kernel 3.3.0-4.fc16.x86_64. The device (USB GSM/UMTS modem Option iCON 225) seems to work correctly now. I have not any crash.

Thanks in advance.

Artur Pierściński

P.S. I dont known how was the crash reasons, but, as I recall from my memory, modem crashes after its connection type had changed (ie. EDGE to UMTS...).

As a kind of remedy, I tried to periodicly ping a host into a network.
Comment 6 Dave Jones 2012-10-23 11:35:24 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 7 Artur Pierściński 2012-10-28 06:58:55 EDT
(In reply to comment #6)
> # Mass update to all open bugs.
> 
> Kernel 3.6.2-1.fc16 has just been pushed to updates.
> This update is a significant rebase from the previous version.
> 

Well. During a time I was start using fc17. Recently  (3.6.2-4.fc17.x86_64 and few previous) kernel does not show this error. I am using the same environment. In general, with kernel from fc17 I do not have this error.

I can judge, if recent changes (in fc16) resolves problem, but if, then please close this bug.
Comment 8 Josh Boyer 2012-12-07 10:28:56 EST
*** Bug 884977 has been marked as a duplicate of this bug. ***
Comment 9 Josh Boyer 2012-12-18 08:32:32 EST
*** Bug 888168 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2013-01-16 09:32:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 10:35:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.